# List_All_States

Retrieve all states.

`GET /v2/states`

**API:** Avalara CertCapture RESTful APIs
**Tag:** States
**API Version:** v2
**Base URL:** https://sbx-api.certcapture.com/v2/
**Accepts:** `application/json`
**Authentication:** Basic (username + license key) or API Key (`Authorization` in header)

Source: https://developer.avalara.com/products/ecm/api/certcapture/methods/States/List_All_States/

## Description

Retrieve all the states, and their associated details for a company.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `x-client-id` | integer | header | Yes | To access your companies client ID, it is available from Company Settings -> Company Details -> Company ID |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `StatesResource` |
| 400 | Bad Request |  |
| 401 | Unauthorized |  |

### 200 Response: `StatesResource`

CertCapture State resource

| Property | Type | Required | Description |
|---|---|---|---|
| `data` | StateResponse[] | No | Data wrapper |

## Example Request

```bash
curl -X GET "https://sbx-api.certcapture.com/v2/v2/states" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```